sigtail.h File Reference
`#include <gwenhywfar/gwentime.h>`
`#include <gwenhywfar/buffer.h>`
`#include <gwenhywfar/list1.h>`

Go to the source code of this file.

## Typedefs

typedef struct GWEN_SIGTAIL | GWEN_SIGTAIL

## Functions

void | GWEN_SigTail_free (GWEN_SIGTAIL *st)
GWEN_SIGTAIL * | GWEN_SigTail_fromBuffer (const uint8_t *p, uint32_t l)
uint32_t | GWEN_SigTail_GetSignatureLen (const GWEN_SIGTAIL *st)
int | GWEN_SigTail_GetSignatureNumber (const GWEN_SIGTAIL *st)
const uint8_t * | GWEN_SigTail_GetSignaturePtr (const GWEN_SIGTAIL *st)
GWEN_SIGTAIL * | GWEN_SigTail_new (void)
void | GWEN_SigTail_SetSignature (GWEN_SIGTAIL *st, const uint8_t *p, uint32_t l)
void | GWEN_SigTail_SetSignatureNumber (GWEN_SIGTAIL *st, int i)
int | GWEN_SigTail_toBuffer (const GWEN_SIGTAIL *st, GWEN_BUFFER *buf, uint8_t tagType)

## Typedef Documentation

## GWEN_SIGTAIL

typedef struct GWEN_SIGTAIL GWEN_SIGTAIL

Definition at line 24 of file sigtail.h.

## Function Documentation

## GWEN_SigTail_free()

void GWEN_SigTail_free | ( | GWEN_SIGTAIL * | st | ) |

References GWEN_SigTail_free().

Referenced by GWEN_SigTail_free().

## GWEN_SigTail_fromBuffer()

GWEN_SIGTAIL * GWEN_SigTail_fromBuffer | ( | const uint8_t * | p,
|  | uint32_t | l )

References GWEN_SigTail_fromBuffer().

Referenced by GWEN_SigTail_fromBuffer().

## GWEN_SigTail_GetSignatureLen()

uint32_t GWEN_SigTail_GetSignatureLen | ( | const GWEN_SIGTAIL * | st | ) |

References GWEN_SigTail_GetSignatureLen().

Referenced by GWEN_SigTail_GetSignatureLen().

## GWEN_SigTail_GetSignatureNumber()

int GWEN_SigTail_GetSignatureNumber | ( | const GWEN_SIGTAIL * | st | ) |

References GWEN_SigTail_GetSignatureNumber().

Referenced by GWEN_SigTail_GetSignatureNumber().

## GWEN_SigTail_GetSignaturePtr()

const uint8_t * GWEN_SigTail_GetSignaturePtr | ( | const GWEN_SIGTAIL * | st | ) |

References GWEN_SigTail_GetSignaturePtr().

Referenced by GWEN_SigTail_GetSignaturePtr().

## GWEN_SigTail_new()

GWEN_SIGTAIL * GWEN_SigTail_new | ( | void |  | ) |

References GWEN_SigTail_new().

Referenced by GWEN_SigTail_new().

## GWEN_SigTail_SetSignature()

void GWEN_SigTail_SetSignature | ( | GWEN_SIGTAIL * | st,
|  | const uint8_t * | p,
|  | uint32_t | l )

References GWEN_SigTail_SetSignature().

Referenced by GWEN_SigTail_SetSignature().

## GWEN_SigTail_SetSignatureNumber()

void GWEN_SigTail_SetSignatureNumber | ( | GWEN_SIGTAIL * | st,
|  | int | i )

References GWEN_SigTail_SetSignatureNumber().

Referenced by GWEN_SigTail_SetSignatureNumber().

## GWEN_SigTail_toBuffer()

int GWEN_SigTail_toBuffer | ( | const GWEN_SIGTAIL * | st,
|  | GWEN_BUFFER * | buf,
|  | uint8_t | tagType )

References GWEN_SigTail_toBuffer().

Referenced by GWEN_SigTail_toBuffer().